#include <stdio.h>
#include <stdint.h>
#include <stdbool.h>
#include <string.h>
#include <sys/types.h>
#include <signal.h>
bool Java_ch_mod_1p_sre24_a2_data_LoginDataSource_checkPwdFromJni(int *param_1,undefined4 param_2,undefined4 param_3,undefined4 param_4){
  char *__s2;
  char *__s;
  int iVar1;
  size_t sVar2;
  bool bVar3;

  __s2 = (char *)(**(code **)(*param_1 + 0x2a4))(param_1,param_3,0);
  __s = (char *)(**(code **)(*param_1 + 0x2a4))(param_1,param_4,0);
  iVar1 = strcmp(username,__s2);
  if (iVar1 == 0) {
    sVar2 = strlen(__s);
    if (sVar2 == 12) {
        // 57K+A7DBxp+G
      if (((
          (
              (
                  (__s[0] == '5') &&
                  (__s[1] == '7')
              ) && (__s[2] == 'K')
          ) &&
           (
               (__s[3] == '+' && (__s[4] == 'A'))
           )) &&
          ((__s[5] == '7' && ((__s[6] == 'D' && (__s[7] == 'B')))))) &&
         ((__s[8] == 'x' && ((__s[9] == 'p' && (__s[10] == '+')))))) {
        bVar3 = __s[0xb] == 'G';
      }
      else {
        bVar3 = false;
      }
    }
    else {
      bVar3 = false;
    }
  }
  else {
    bVar3 = false;
  }
  (**(code **)(*param_1 + 0x2a8))(param_1,param_3,__s2);
  (**(code **)(*param_1 + 0x2a8))(param_1,param_4,__s);
  return bVar3;
}
